
Jet jet1 = new Jet();
Jet jet2 = new Jet();
ArrayList<Bullet> bulletList;
float textposx = height/2;
float textposy = width/2;
int state = 0;

void setup()
{
    fill(150);
    size (800, 600);
    jet1.setupjet(200, 450);
    jet2.setupjet(600, 450);
    bulletList = new ArrayList<Bullet>();
}

void draw()
{ 
    {
        if (state == 0) {
            game();
        } else if (state == 1) {
            gameOver1();
        } else if (state == 2) {
            gameOver2();
        }
    }
}

void game() 

{
    background(150);
    jet1.drawjet();
    jet2.drawjet();


    for (int i = bulletList.size()-1; i>=0; i--) {
        Bullet localBullet = bulletList.get(i);

        if (localBullet.hitJet(jet1))
        {
            println("Jet 2 Won");
            state = 2;
        }

        if (localBullet.hitJet(jet2))
        {
            println("Jet 1 Won");
            state = 1;
        }

        if (localBullet.isOutOfWindow()) {
            bulletList.remove(i);
        }

        localBullet.movement();
        localBullet.display();
    }
}

void gameRestart()
{
    state = 0;
}


void gameOver1() { //state 1
    background(255, 0, 0);
    textSize(30);
    text("Jet 1 WON", 250, 150);
    text("Click the mouse to restart", 250, 200);
}
void gameOver2() { //state 1
    background(255, 0, 0);
    textSize(30);
    text("Jet 2 WON", 250, 150);
    text("Click the mouse to restart", 250, 200);
    if (mousePressed) 
    {
        state = -1;
    }
}
